{ config, pkgs, ... }:

{
  imports =
    [
      ./hardware-configuration.nix
      ../../modules/cpu/intel.nix
      ../../modules/gpu/intel.nix
      ../../modules/ssd.nix
      ../../modules/libvirt.nix
      ../../modules
      ../../profiles/dev.nix
      ../../users/simon
    ];

  sbruder = {
    gui = true;
    restic.enable = true;
  };

  boot.loader.grub.device = "/dev/disk/by-id/ata-INTEL_SSDSC2KB480G7_PHYS749202D6480BGN";

  boot.initrd.luks.devices = {
    root = {
      name = "root";
      device = "/dev/disk/by-uuid/f3a2fa57-581b-4e95-9a45-d61cda9edc54";
      preLVM = true;
      allowDiscards = true;
    };
  };

  networking.hostName = "nunotaba";

  networking.wireguard.interfaces.wg-home.ips = [ "10.80.0.4/24" ];
}
