{ config, lib, pkgs, ... }:

lib.mkIf config.sbruder.gui {
  fonts = {
    fonts = with pkgs; [
      corefonts # good ol’ microsoft fonts
      google-fonts # google font collection (free)
      lmodern # Latin Modern for non-latex applications
      (nerdfonts.override { fonts = [ "Iosevka" ]; })
      #roboto # standalone roboto has awful kerning
      source-han-sans
      source-han-serif # CJK fonts
      vistafonts # newer microsoft fonts
    ];

    enableDefaultFonts = true;
    enableFontDir = true;

    fontconfig = {
      defaultFonts = {
        monospace = [ "Iosevka Nerd Font" "Source Han Sans" ];
        sansSerif = [ "Roboto" "Source Han Sans" ];
        serif = [ "Georgia" "Source Han Serif" ];
      };
      localConf = ''
        <?xml version="1.0" encoding="UTF-8"?>
        <!DOCTYPE fontconfig SYSTEM "urn:fontconfig:fonts.dtd">
        <fontconfig>
          <alias>
            <family>system-ui</family>
            <prefer>
              <family>sans-serif</family>
            </prefer>
          </alias>
        </fontconfig>
      '';
    };
  };
}
