{ config, lib, pkgs, ... }:

lib.mkIf config.sbruder.gui {
  sound.enable = true;
  hardware.pulseaudio = {
    enable = true;
    package = pkgs.pulseaudioFull;
    extraModules = [
      pkgs.pulseaudio-modules-bt # Non-standard codecs for bluetooth
    ];
    daemon.config = {
      "default-sample-format" = "s16le";
      "default-sample-rate" = "48000";
      "alternate-sample-rate" = "44100";
      "resample-method" = "soxr-hq";
      "flat-volumes" = "no";
    };
  };

  # Bluetooth support
  hardware.bluetooth.enable = true;
  services.blueman.enable = true;

  environment.systemPackages = with pkgs; [
    pavucontrol
  ];
}
