{ pkgs, ... }:
let
  pubkeys = import ../../modules/pubkeys.nix;
in
{
  imports = [
    (import "${builtins.fetchTarball "https://github.com/nix-community/home-manager/archive/release-20.09.tar.gz"}/nixos")
  ];

  users.users.simon = {
    isNormalUser = true;
    extraGroups = [
      "adbusers"
      "dialout"
      "docker"
      "libvirtd"
      "lp"
      "networkmanager"
      "video"
      "wheel"
    ];
    openssh.authorizedKeys.keys = [
      pubkeys."simon@nunotaba"
      pubkeys."simon@sayuri"
    ];
  };

  home-manager.useUserPackages = true;
  home-manager.useGlobalPkgs = true;

  home-manager.users.simon = { pkgs, ... }: {
    imports = [
      ./modules/alacritty.nix
      ./modules/ankisyncd.nix
      ./modules/git.nix
      ./modules/gtk.nix
      ./modules/htop.nix
      ./modules/misc.nix
      ./modules/mpd.nix
      ./modules/mpv.nix
      ./modules/neovim.nix
      ./modules/sway.nix
      ./modules/tmux.nix
      ./modules/vdirsyncer.nix
      ./modules/xcompose.nix
      ./modules/xdg.nix
      ./modules/zathura.nix
      ./modules/zsh.nix
    ];
  };
}
