let
  common = import ./common.nix;
  solarized = common.colorschemes.solarized;

  colorschemes = {
    # Base16 Solarized Dark
    # Author: Ethan Schoonover (modified by aramisgithub)
    # Source: https://github.com/nicodebo/base16-zathura (modified)
    solarized-dark = {
      default-bg = solarized.base03;
      default-fg = solarized.base03;

      statusbar-fg = solarized.base0;
      statusbar-bg = solarized.base02;

      inputbar-bg = solarized.base03;
      inputbar-fg = solarized.base3;

      notification-bg = solarized.base03;
      notification-fg = solarized.base3;

      notification-error-bg = solarized.base03;
      notification-error-fg = solarized.red;

      notification-warning-bg = solarized.base03;
      notification-warning-fg = solarized.red;

      highlight-color = solarized.yellow;
      highlight-active-color = solarized.green;

      completion-bg = solarized.base02;
      completion-fg = solarized.green;

      completion-highlight-fg = solarized.base3;
      completion-highlight-bg = solarized.green;

      recolor-lightcolor = solarized.base03;
      recolor-darkcolor = solarized.base0;

      recolor = false;
      recolor-keephue = false;
    };
  };
in
{
  programs.zathura = {
    enable = true;
    options = {
      selection-clipboard = "clipboard";
    } // colorschemes.solarized-dark;
    extraConfig = ''
      map <C-j> set page-right-to-left
    '';
  };
}
